local QuickSetup ={}
function QuickSetup.tick()  
      local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
	if(playerExists) then
		if(PED.IS_PED_IN_ANY_VEHICLE(playerPed, false)) then
			local veh = PED.GET_VEHICLE_PED_IS_IN(playerPed,true)

-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// CHANGE ACTIVATION KEY /////
-- ///// --------------------------------------------------------------------------------------------------------------
-- /////  Quick values: Backspace=8, Tab=9, Enter=13, Shift=16, Ctrl=17 etc. See http://www.cambiaresearch.com/articles/15/javascript-char-codes-key-codes for full list.
-- ///// E.g. to use TAB instead of space bar, change the line so it reads as if(get_key_pressed(9))then 
-- ///// (Change activation hotkey in the line below this one)	
				if(get_key_pressed(32))then 	
-- ///// (Change activation hotkey in the line above this one)
-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// 
-- ///// -------------------------------------------------------------------------------------------------------------- 	
-- ///// CHANGE NUMBER PLATE TEXT /////
-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// E.g. to change the plate to 3VIL change the line so it reads VEHICLE.SET_VEHICLE_NUMBER_PLATE_TEXT(veh, "3VIL")
-- ///// You can include a - for spaces, so "3-V-I-L" would show as "3 V I L" in game.
-- ///// (Change plate text in the line below this one)				
				VEHICLE.SET_VEHICLE_NUMBER_PLATE_TEXT(veh, "SP4C3M4N") -- Number plate text, 8 characters max!
-- ///// (Change plate text in the line above this one)	
-- ///// --------------------------------------------------------------------------------------------------------------
				VEHICLE.SET_VEHICLE_NUMBER_PLATE_TEXT_INDEX(veh, 7) -- To set the plate to black with yellow text, doesn't seem to work as yet.			
-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// VEHICLE COLOUR
-- ///// --------------------------------------------------------------------------------------------------------------				
				VEHICLE.SET_VEHICLE_COLOURS(veh, 154, 154) -- Vehicle Colour

				VEHICLE.SET_VEHICLE_MOD_KIT(veh, 0)
				VEHICLE.SET_VEHICLE_MOD(veh, 0, 1, true) -- Spoilers
				VEHICLE.SET_VEHICLE_MOD(veh, 1, 2, true) -- Front Bumper
				VEHICLE.SET_VEHICLE_MOD(veh, 2, 1, true) -- Rear Bumper
				VEHICLE.SET_VEHICLE_MOD(veh, 3, 1, true) -- Side Skirts
				VEHICLE.SET_VEHICLE_MOD(veh, 4, 1, true) -- Exhaust
				VEHICLE.SET_VEHICLE_MOD(veh, 5, 1, true) -- Frame
				VEHICLE.SET_VEHICLE_MOD(veh, 6, 1, true) -- Grille
				VEHICLE.SET_VEHICLE_MOD(veh, 7, 1, true) -- Hood
				VEHICLE.SET_VEHICLE_MOD(veh, 8, 1, true) -- Left Fender
				VEHICLE.SET_VEHICLE_MOD(veh, 9, 1, true) -- Right Fender
				VEHICLE.SET_VEHICLE_MOD(veh, 10, 1, true) -- Roof
				VEHICLE.SET_VEHICLE_MOD(veh, 11, 3, true) -- Engine
				VEHICLE.SET_VEHICLE_MOD(veh, 12, 2, true) -- Brakes
				VEHICLE.SET_VEHICLE_MOD(veh, 13, 2, true) -- Transmission
				VEHICLE.SET_VEHICLE_MOD(veh, 14, 1, true) -- Horn
				VEHICLE.SET_VEHICLE_MOD(veh, 15, 3, true) -- Suspension
				VEHICLE.SET_VEHICLE_MOD(veh, 16, 4, true) -- Armour
				VEHICLE.TOGGLE_VEHICLE_MOD(veh, 22, true) -- Xenon Lights
				VEHICLE.SET_VEHICLE_MOD(veh, 23, 11, false) -- All Wheels for cars, front wheel for bikes. Remove this line to keep stock wheels for cars!
				VEHICLE.SET_VEHICLE_MOD(veh, 24, 19, false) -- Rear Wheel (Motorcycles only)
				VEHICLE.SET_VEHICLE_WHEEL_TYPE(veh, 120)
				VEHICLE._0x2AA720E4287BF269(veh, 0, true) -- Turn Neon Lights on 1 through 4
				VEHICLE._0x2AA720E4287BF269(veh, 1, true)
				VEHICLE._0x2AA720E4287BF269(veh, 2, true)
				VEHICLE._0x2AA720E4287BF269(veh, 3, true)
-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// NEON LIGHT COLOUR ///// Neon Light Colour R,G,B see http://www.colorpicker.com/ (White Default)
-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// E.g. to change to Blue change the values so it reads'VEHICLE._0x8E0A582209A62695(veh, 0, 0, 255)'
-- ///// (Change neon colours in line below this one)
				VEHICLE._0x8E0A582209A62695(veh, 255, 255, 255) -- Neon light colour
-- ///// (Change neon colours in line above this one)
-- ///// --------------------------------------------------------------------------------------------------------------
-- ///// 
-- ///// 
				VEHICLE.SET_VEHICLE_WINDOW_TINT(veh, 3) -- Sets tint amount, higher values are darker
				VEHICLE.LOWER_CONVERTIBLE_ROOF(veh, true) -- Lowers convertible roof
				VEHICLE.SET_VEHICLE_IS_STOLEN(veh, false) -- Vehicle is no longer known as stolen
				VEHICLE.SET_VEHICLE_IS_WANTED(veh, false) -- Vehicle is no longer wanted by police
				VEHICLE.SET_VEHICLE_HAS_BEEN_OWNED_BY_PLAYER(veh, true) -- Experimental
				VEHICLE.SET_VEHICLE_NEEDS_TO_BE_HOTWIRED(veh, false) -- Vehicle no longer needs to be hotwired.
				VEHICLE.SET_CAN_RESPRAY_VEHICLE(veh, true) -- Vehicle can now be resprayed
				VEHICLE.SET_PLAYERS_LAST_VEHICLE(veh) -- Experimental
				VEHICLE.SET_VEHICLE_FIXED(veh) -- Repairs vehicle.
				VEHICLE.SET_VEHICLE_DEFORMATION_FIXED(veh) -- Fixes deformation.
				VEHICLE.SET_VEHICLE_TYRES_CAN_BURST(veh, false) -- Tyres no longer burst
				VEHICLE.SET_VEHICLE_WHEELS_CAN_BREAK(veh, false) -- Wheels can no longer break
				VEHICLE.SET_VEHICLE_CAN_BE_TARGETTED(veh, false) -- Experimental
				VEHICLE.SET_VEHICLE_EXPLODES_ON_HIGH_EXPLOSION_DAMAGE(veh, false) -- Experimental
				VEHICLE.SET_VEHICLE_HAS_STRONG_AXLES(veh, true) -- Axles set to strong/tough
				VEHICLE.SET_VEHICLE_DIRT_LEVEL(veh, 0) -- Remove dirt
				VEHICLE.SET_VEHICLE_CAN_BE_VISIBLY_DAMAGED(veh, false) -- Vehicle is set to very tough/strong
				VEHICLE.SET_VEHICLE_STRONG(veh, true) -- Vehicle is set to very tough/strong
				VEHICLE.ROLL_DOWN_WINDOW(veh, 0) -- Wind down vehicle front windows
				VEHICLE.ROLL_DOWN_WINDOW(veh, 1)
				PED.SET_PED_CAN_BE_DRAGGED_OUT(playerPed, false) -- Player can no longer be dragged from vehicle
				PED.SET_PED_STAY_IN_VEHICLE_WHEN_JACKED(playerPed, true) 
				PLAYER.CLEAR_PLAYER_WANTED_LEVEL(player) -- Clear wanted level
				
local testmodule = {}
end
end
end
end 
return QuickSetup